<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Document</title>
	<style type="text/css" media="screen">
		html,body{
			width:100%;
			height: 100%;
		}

		.fotos{
			opacity: 0;
			transform: scale(0);
			transition: all 5s;
			position:absolute;
			top:0px;
			left:0px;
			background-color: rgba(0,0,0,0.6);
			width:100%;
			height:100%;
			padding-top:30px;
			text-align: center;
			z-index: -10;
		}

		.fotos img{
			width:400px;
		}
		.thumb img{
			width:50px;
			height: 50px;
		}

		:target{
			opacity: 1!important;
			transform: scale(1)!important;
			z-index:10;
		}
	</style>
</head>
<body>
	<div class="thumb">
	<a href="#foto1"><img src="imgs/1.jpg" alt=""></a>
	<a href="#foto2"><img src="imgs/2.jpg" alt=""></a>
	</div>
	<div class="fotos" id="foto1">
		<a href="#"><img src="imgs/1.jpg" alt=""></a>
	</div>
	<div class="fotos" id="foto2">
		<a href="#"><img src="imgs/2.jpg" alt=""></a>
	</div>

	
</body>
</html>